"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const shelljs_1 = require("shelljs");
const fs_1 = __importDefault(require("fs"));
function copyFiles(source, dest) {
    shelljs_1.mkdir('-p', dest);
    shelljs_1.cp('-R', source, dest);
}
exports.copyFiles = copyFiles;
function removeFile(file) {
    if (fs_1.default.existsSync(file)) {
        shelljs_1.rm('-rf', file);
    }
}
exports.removeFile = removeFile;
//# sourceMappingURL=fileUtils.js.map