import { TelemetryReporter } from '@salesforce/telemetry/lib/telemetryReporter';
export default class LocalDevTelemetryReporter {
    private static _instance;
    private reporter;
    constructor(reporter: TelemetryReporter);
    trackApplicationStart(duration: number, fromVSCode: boolean, apiVersion: string): void;
    trackApplicationStartException(exception: Error): void;
    trackApplicationStartNoAuth(): void;
    trackApplicationEnd(runtimeDuration: number): void;
    trackComponentPreview(container: string, duration: number, apiVersion: string, browser: string, liveReload: boolean): void;
    trackComponentPreviewException(exception: Error, apiVersion: string): void;
    trackComponentCompileException(exception: Error): void;
    static getInstance(userId: string, sessionId: string): Promise<LocalDevTelemetryReporter>;
}
//# sourceMappingURL=LocalDevTelemetryReporter.d.ts.map