export declare const defaultPort = 3333;
export default class LocalDevServerConfiguration {
    private _onProxyReq;
    private _liveReload;
    private entryPoint;
    private readonly configFromJson;
    constructor(configFilePath?: string);
    readonly containerType: string;
    readonly entryPointComponent: string;
    namespace: string;
    modulesSourceDirectory: string;
    staticResourcesDirectory: string;
    customLabelsFile: string;
    port: number;
    api_version: string | undefined;
    endpoint: string | undefined;
    onProxyReq: Function;
    liveReload: boolean;
    configureFromCliArguments(config: any): void;
}
//# sourceMappingURL=LocalDevServerConfiguration.d.ts.map