import { flags, SfdxCommand } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
export default class Start extends SfdxCommand {
    static description: string;
    static examples: string[];
    static args: never[];
    protected static flagsConfig: {
        port: flags.Discriminated<flags.Number>;
    };
    protected static supportsUsername: boolean;
    protected static supportsDevhubUsername: boolean;
    protected static requiresProject: boolean;
    run(): Promise<AnyJson>;
    private reportStatus;
}
//# sourceMappingURL=start.d.ts.map