import Project from '../common/Project';
import { Connection } from '@salesforce/core';
export declare const defaultOutputDirectory = ".localdevserver";
export default class LocalDevServer {
    private server?;
    private readonly nonce;
    private readonly devhubUser;
    private readonly anonymousUserId;
    constructor(devhubUser?: string);
    start(project: Project, connection?: Connection): Promise<void>;
    stop(): Promise<unknown>;
    readonly port: number | undefined;
    protected copyAssets(project: Project, dest: string): Promise<void>;
    private watchAssets;
    protected pathRewrite(version: string): Function;
}
//# sourceMappingURL=LocalDevServer.d.ts.map