/// <reference types="node" />
import { Request, Response, NextFunction } from 'express';
import { RequestPromiseAPI } from 'request-promise-native';
import { ResourceLoader, FetchOptions } from 'jsdom';
export declare class ApexResourceLoader extends ResourceLoader {
    private readonly orgRequest;
    private readonly instanceUrl;
    constructor(orgRequest: RequestPromiseAPI, instanceUrl: string);
    fetch(url: string, options: FetchOptions): Promise<Buffer> | null;
}
export interface ConnectionParams {
    instanceUrl: string;
    accessToken: string;
}
export declare function apexMiddleware(connectionParams: ConnectionParams): (req: Request, res: Response, next: NextFunction) => Promise<void>;
//# sourceMappingURL=apexMiddleware.d.ts.map