export declare const webruntimeConfig: any;
export declare const routes: {
    id: string;
    name: string;
    path: string;
    isRoot: boolean;
    view: string;
    label: string;
}[];
export declare const theme: {
    name: string;
    label: string;
    themeLayouts: {
        main: {
            view: string;
        };
    };
};
export declare const views: {
    mainLayout: {
        name: string;
        label: string;
        component: {
            name: string;
            regions: {
                name: string;
                label: string;
                components: {
                    name: string;
                }[];
            }[];
        };
    };
    home: {
        name: string;
        label: string;
        themeLayoutType: string;
        component: {
            name: string;
            regions: never[];
        };
    };
    preview: {
        name: string;
        label: string;
        themeLayoutType: string;
        component: {
            name: string;
            attributes: {
                cmp: string;
            };
            regions: never[];
        };
    };
};
//# sourceMappingURL=webruntimeConfig.d.ts.map